<br />
<p align="center">
  <a href="https://docs.onflow.org/flow-cli/install/">
    <img src="./cli-banner.svg" alt="Logo" width="270" height="auto">
  </a>

  <p align="center">
    <i>Flow CLI brings Flow to your terminal. Easily interact with the network and build your dapps.</i>
    <br />
    <a href="https://docs.onflow.org/flow-cli/install/"><strong>Read the docs»</strong></a>
    <br />
    <br />
    <a href="https://github.com/onflow/flow-cli/issues">Report Bug</a>
    ·
    <a href="https://github.com/onflow/flow-cli/blob/master/CONTRIBUTING.md">Contribute</a>
    ·
    <a href="https://github.com/onflow/flow-cli/blob/master/CONTRIBUTING.md#cli-guidelines">Read Guidelines</a>
  </p>
</p>
<br />
<br />

## Installation

To install the Flow CLI, follow the [installation instructions](https://docs.onflow.org/flow-cli/install) on the Flow documentation website.

## Documentation

You can find the CLI documentation on the [CLI documentation website](https://docs.onflow.org/flow-cli).

## Features
The Flow CLI is a command line tool that allows you to interact with the Flow blockchain. 
Read about supported commands in the [CLI documentation website](https://docs.onflow.org/flow-cli).

```
Usage:
  flow [command]

Available Commands:
  accounts     Utilities to manage accounts
  blocks       Utilities to read blocks
  cadence      Execute Cadence code
  collections  Utilities to read collections
  config       Utilities to manage configuration
  emulator     Starts the Flow emulator server
  events       Utilities to read events
  help         Help about any command
  init         Initialize a new configuration
  keys         Utilities to manage keys
  project      Manage your Cadence project
  scripts      Utilities to execute scripts
  status       Display the status of the Flow network
  transactions Utilities to send transactions
  version      View version and commit information
```

The Flow CLI includes several commands to interact with Flow networks, such as querying account information, or sending transactions. It also includes the [Flow Emulator](https://docs.onflow.org/emulator/).


![Alt Text](./cli.gif)

## Contributing 

Read [contributing](./CONTRIBUTING.md) document.
